<md-content
	layout="column"
	layout-padding
	flex>
	
	<div
		layout="column"
		class="md-whiteframe-2dp">
		<div
			style="min-height: 160px;"
			layout="row">
			<img ng-src="{{course.cover}}" height="128px" alt="{{course.id}}" />
			<table>
				<tr><td translate>Title</td><td>: {{course.title}}</td></tr>
				<tr><td translate>Description</td><td><p>:{{course.description}}</p></td></tr>
				<tr><td translate>Cover</td><td>: {{course.cover}}</td></tr>
		<!-- 		TODO: maso, 2017: adding other attribuates -->
			</table>
		</div>
		<div 
			layout="row">
			<span flex></span>
			<md-button
				ng-click="removeCourse()">
				<wb-icon>delete</wb-icon>
				<span translate>delete</span>
			</md-button>
		</div>
	</div>
	
	
	
	<!-- Action bar -->
	<mb-pagination-bar
		mb-model="paginatorParameter"
		mb-reload="reload"
		mb-sort-keys="sortKeys"
		mb-more-actions="moreActions">
	</mb-pagination-bar>
	
	<md-list flex>
		<md-list-item 
			ng-repeat="object in ctrl.items track by object.id"
			ng-href="{{'elearning/lessons/'+object.id}}"
			class="md-3-line">
			<img ng-src="{{object.cover}}" class="md-avatar" alt="{{item.who}}" />
			<div 
				class="md-list-item-text" 
				layout="column">
				<h3>{{object.title}}</h3>
				<h4>{{object.loc}}</h4>
				<p>{{object.description}}</p>
			</div>
		</md-list-item>
	</md-list>
  
	<div
		layout="column"
		layout-align="center center"
		ng-show="!ctrl.items || ctrl.items.length == 0">
		<h2>Empty lesson list</h2>
		<p>Any lesson match with the query. You can add a lesson course by 
			click on the add button.</p>
		<md-button
			ng-click="add()">
			<wb-icon>add</wb-icon>
			<span translate>Add</span>
		</md-button>
	</div>
</md-content>

